Loading...
Searching...
No Matches
single precision
Sparse LA » Sparse preconditioners » Symmetric/Hermitian preconditioner

## Functions

magma_int_t | magma_scumiccsetup (magma_s_matrix A, magma_s_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner via cuSPARSE.
magma_int_t | magma_scumicgeneratesolverinfo (magma_s_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner solverinfo via cuSPARSE for a triangular matrix present on the device in precond->M.
magma_int_t | magma_sapplycumicc_l (magma_s_matrix b, magma_s_matrix *x, magma_s_preconditioner *precond, magma_queue_t queue)
| Performs the left triangular solves using the ICC preconditioner.
magma_int_t | magma_sapplycumicc_r (magma_s_matrix b, magma_s_matrix *x, magma_s_preconditioner *precond, magma_queue_t queue)
| Performs the right triangular solves using the ICC preconditioner.
magma_int_t | magma_spariluupdate (magma_s_matrix A, magma_s_preconditioner *precond, magma_int_t updates, magma_queue_t queue)
| Updates an existing preconditioner via additional iterative ILU sweeps for previous factorization initial guess (PFIG).
magma_int_t | magma_sparicsetup (magma_s_matrix A, magma_s_matrix b, magma_s_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner via the iterative IC iteration.
magma_int_t | magma_sparicupdate (magma_s_matrix A, magma_s_preconditioner *precond, magma_int_t updates, magma_queue_t queue)
| Updates an existing preconditioner via additional iterative IC sweeps for previous factorization initial guess (PFIG).

## Detailed Description

## Function Documentation

## magma_scumiccsetup()

magma_int_t magma_scumiccsetup | ( | magma_s_matrix | A,
|  | magma_s_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner via cuSPARSE.

Parameters

  [in] | A | magma_s_matrix input matrix A
  [in,out] | precond | magma_s_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_scumicgeneratesolverinfo()

magma_int_t magma_scumicgeneratesolverinfo | ( | magma_s_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner solverinfo via cuSPARSE for a triangular matrix present on the device in precond->M.

Parameters

  [in,out] | precond | magma_s_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sapplycumicc_l()

magma_int_t magma_sapplycumicc_l | ( | magma_s_matrix | b,
|  | magma_s_matrix * | x,
|  | magma_s_preconditioner * | precond,
|  | magma_queue_t | queue )

Performs the left triangular solves using the ICC preconditioner.

Parameters

  [in] | b | magma_s_matrix RHS
  [in,out] | x | magma_s_matrix* vector to precondition
  [in,out] | precond | magma_s_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sapplycumicc_r()

magma_int_t magma_sapplycumicc_r | ( | magma_s_matrix | b,
|  | magma_s_matrix * | x,
|  | magma_s_preconditioner * | precond,
|  | magma_queue_t | queue )

Performs the right triangular solves using the ICC preconditioner.

Parameters

  [in] | b | magma_s_matrix RHS
  [in,out] | x | magma_s_matrix* vector to precondition
  [in,out] | precond | magma_s_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_spariluupdate()

magma_int_t magma_spariluupdate | ( | magma_s_matrix | A,
|  | magma_s_preconditioner * | precond,
|  | magma_int_t | updates,
|  | magma_queue_t | queue )

Updates an existing preconditioner via additional iterative ILU sweeps for previous factorization initial guess (PFIG).

See Anzt et al., Parallel Computing, 2015.

Parameters

  [in] | A | magma_s_matrix input matrix A, current target system
  [in] | precond | magma_s_preconditioner* preconditioner parameters
  [in] | updates | magma_int_t number of updates
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sparicsetup()

magma_int_t magma_sparicsetup | ( | magma_s_matrix | A,
|  | magma_s_matrix | b,
|  | magma_s_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner via the iterative IC iteration.

Parameters

  [in] | A | magma_s_matrix input matrix A
  [in] | b | magma_s_matrix input RHS b
  [in,out] | precond | magma_s_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sparicupdate()

magma_int_t magma_sparicupdate | ( | magma_s_matrix | A,
|  | magma_s_preconditioner * | precond,
|  | magma_int_t | updates,
|  | magma_queue_t | queue )

Updates an existing preconditioner via additional iterative IC sweeps for previous factorization initial guess (PFIG).

See Anzt et al., Parallel Computing, 2015.

Parameters

  [in] | A | magma_s_matrix input matrix A, current target system
  [in] | precond | magma_s_preconditioner* preconditioner parameters
  [in] | updates | magma_int_t number of updates
  [in] | queue | magma_queue_t Queue to execute in.